<?php
require_once($_SERVER['DOCUMENT_ROOT'].'/config.php');
require_once($_SERVER['DOCUMENT_ROOT'].'/includes/formulas.php');


$link = mysqli_connect(DBASE_HOST,DBASE_USER,DBASE_PASS,DBASE_NAME);
if (! $link) {
	die('Connect Error (' . mysqli_connect_errno() . ') ' . mysqli_connect_error());
}
if (! mysqli_set_charset($link, "utf8" )) {
	echo "error";
	return 1;
}

$result = mysqli_query($link, "SELECT * FROM inventory_yeasts ORDER BY laboratory,product_id,name");
$row = mysqli_fetch_array($result);


$yeasttype = array( 'Lager', 'Ale', 'Wheat', 'Wine', 'Champagne', 'Other', 'Other', 'Other', 'Other', 'Other' );
$yeastform = array( 'Liquid', 'Dry', 'Slant', 'Culture', 'Frozen', 'Bottle', 'Dry' );
$yeastflocculation = array( 'Low', 'Medium', 'High', 'Very high' );


/*
 * Create beerxml output
 */
$xw = xmlwriter_open_memory();
xmlwriter_set_indent($xw, 1);
$res = xmlwriter_set_indent_string($xw, ' ');

xmlwriter_start_document($xw, '1.0', 'UTF-8');


xmlwriter_start_element($xw, 'YEASTS');
while ($row = mysqli_fetch_array($result)) {

	xmlwriter_start_element($xw, 'YEAST');

	xmlwriter_start_element($xw, 'VERSION');
	xmlwriter_text($xw, '1');
	xmlwriter_end_element($xw);

	xmlwriter_start_element($xw, 'NAME');
	xmlwriter_text($xw, $row['name']);
	xmlwriter_end_element($xw);

	xmlwriter_start_element($xw, 'TYPE');
	xmlwriter_text($xw, $yeasttype[$row['type']]);
	xmlwriter_end_element($xw);

        xmlwriter_start_element($xw, 'FORM');
        xmlwriter_text($xw, $yeastform[$row['form']]);
        xmlwriter_end_element($xw);

	xmlwriter_start_element($xw, 'AMOUNT_IS_WEIGHT');
	($row['amount_is_weight']) ? xmlwriter_text($xw, 'TRUE') : xmlwriter_text($xw, 'FALSE');
	xmlwriter_end_element($xw);

        xmlwriter_start_element($xw, 'LABORATORY');
        xmlwriter_text($xw, $row['laboratory']);
        xmlwriter_end_element($xw);

	if (strlen($row['product_id'])) {
        	xmlwriter_start_element($xw, 'PRODUCT_ID');
        	xmlwriter_text($xw, $row['product_id']);
        	xmlwriter_end_element($xw);
	}

        xmlwriter_start_element($xw, 'MIN_TEMPERATURE');
        xmlwriter_text($xw, sprintf("%.4f",floatval($row['min_temperature'])));
        xmlwriter_end_element($xw);

        xmlwriter_start_element($xw, 'MAX_TEMPERATURE');
        xmlwriter_text($xw, sprintf("%.4f",floatval($row['max_temperature'])));
        xmlwriter_end_element($xw);

        xmlwriter_start_element($xw, 'ATTENUATION');
        xmlwriter_text($xw, sprintf("%.4f",floatval($row['attenuation'])));
        xmlwriter_end_element($xw);

        xmlwriter_start_element($xw, 'ADD_TO_SECONDARY');
        ($row['use'] == 0) ? xmlwriter_text($xw, 'FALSE') : xmlwriter_text($xw, 'TRUE');
        xmlwriter_end_element($xw);

        xmlwriter_start_element($xw, 'FLOCCULATION');
        xmlwriter_text($xw, $yeastflocculation[$row['flocculation']]);
        xmlwriter_end_element($xw);

        xmlwriter_start_element($xw, 'MAX_REUSE');
        xmlwriter_text($xw, $row['max_reuse']);
        xmlwriter_end_element($xw);

	if (floatval($row['cost']) > 0) {
		xmlwriter_start_element($xw, 'COST');
		xmlwriter_text($xw, sprintf("%.5f",floatval($row['cost'])));
		xmlwriter_end_element($xw);
	}

	if (strlen($row['notes'])) {
		xmlwriter_start_element($xw, 'NOTES');
		xmlwriter_text($xw, $row['notes']);
		xmlwriter_end_element($xw);
	}


	xmlwriter_end_element($xw);	// MISC
}
xmlwriter_end_element($xw);	// MISCS

$beerxml = xmlwriter_output_memory($xw);

Header('Content-type: text/xml');
header('Content-Disposition: attachment; filename="yeasts.xml"');
header('Content-Transfer-Encoding: binary');
header('Expires: 0');
header('Pragma: no-cache');
header('Content-Length: '.strlen($beerxml));
exit($beerxml);
